Update concept
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"conceptNote": "<string>",
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"definition": "<string>",
"subdomains": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
],
"url": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId}"
payload = {
"conceptNote": "<string>",
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"definition": "<string>",
"subdomains": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"url": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conceptNote: '<string>',
customFields: [{fieldName: '<string>', value: {}}],
definition: '<string>',
subdomains: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}],
url: '<string>'
})
};
fetch('https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'conceptNote' => '<string>',
'customFields' => [
[
'fieldName' => '<string>',
'value' => [
]
]
],
'definition' => '<string>',
'subdomains' => [
[
'uid' => '3HYnHHLkTPJfMxBCDbPXFe'
]
],
'url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId}"
payload := strings.NewReader("{\n \"conceptNote\": \"<string>\",\n \"customFields\": [\n {\n \"fieldName\": \"<string>\",\n \"value\": {}\n }\n ],\n \"definition\": \"<string>\",\n \"subdomains\": [\n {\n \"uid\": \"3HYnHHLkTPJfMxBCDbPXFe\"\n }\n ],\n \"url\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"conceptNote\": \"<string>\",\n \"customFields\": [\n {\n \"fieldName\": \"<string>\",\n \"value\": {}\n }\n ],\n \"definition\": \"<string>\",\n \"subdomains\": [\n {\n \"uid\": \"3HYnHHLkTPJfMxBCDbPXFe\"\n }\n ],\n \"url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conceptNote\": \"<string>\",\n \"customFields\": [\n {\n \"fieldName\": \"<string>\",\n \"value\": {}\n }\n ],\n \"definition\": \"<string>\",\n \"subdomains\": [\n {\n \"uid\": \"3HYnHHLkTPJfMxBCDbPXFe\"\n }\n ],\n \"url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"conceptNote": "<string>",
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"definition": "<string>",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"subdomains": [
{
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"url": "<string>"
}Term Base
Update concept
Works against both a term base UID and a glossary UID — Glossary and TermBase are sibling resource types, and this endpoint resolves termBaseUid polymorphically against either. When termBaseUid refers to a glossary, access is restricted to ADMIN/PROJECT_MANAGER users with the setupServer right, rather than also allowing GUEST/LINGUIST users assigned to the term base’s project.
PUT
/
api2
/
v1
/
termBases
/
{termBaseUid}
/
concepts
/
{conceptId}
Update concept
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"conceptNote": "<string>",
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"definition": "<string>",
"subdomains": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
],
"url": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId}"
payload = {
"conceptNote": "<string>",
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"definition": "<string>",
"subdomains": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"url": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conceptNote: '<string>',
customFields: [{fieldName: '<string>', value: {}}],
definition: '<string>',
subdomains: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}],
url: '<string>'
})
};
fetch('https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'conceptNote' => '<string>',
'customFields' => [
[
'fieldName' => '<string>',
'value' => [
]
]
],
'definition' => '<string>',
'subdomains' => [
[
'uid' => '3HYnHHLkTPJfMxBCDbPXFe'
]
],
'url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId}"
payload := strings.NewReader("{\n \"conceptNote\": \"<string>\",\n \"customFields\": [\n {\n \"fieldName\": \"<string>\",\n \"value\": {}\n }\n ],\n \"definition\": \"<string>\",\n \"subdomains\": [\n {\n \"uid\": \"3HYnHHLkTPJfMxBCDbPXFe\"\n }\n ],\n \"url\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"conceptNote\": \"<string>\",\n \"customFields\": [\n {\n \"fieldName\": \"<string>\",\n \"value\": {}\n }\n ],\n \"definition\": \"<string>\",\n \"subdomains\": [\n {\n \"uid\": \"3HYnHHLkTPJfMxBCDbPXFe\"\n }\n ],\n \"url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conceptNote\": \"<string>\",\n \"customFields\": [\n {\n \"fieldName\": \"<string>\",\n \"value\": {}\n }\n ],\n \"definition\": \"<string>\",\n \"subdomains\": [\n {\n \"uid\": \"3HYnHHLkTPJfMxBCDbPXFe\"\n }\n ],\n \"url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"conceptNote": "<string>",
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"definition": "<string>",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"subdomains": [
{
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"url": "<string>"
}Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Term base UID or glossary UID. Access rules differ for glossaries; see the operation description.
Concept ID
Body
application/json
Was this page helpful?